hasql-transaction-0.5: A composable abstraction over the retryable transactions for Hasql

Safe Haskell | None
Language | Haskell2010

Hasql.Transaction.Sessions

Synopsis

- transaction :: IsolationLevel -> Mode -> Transaction a -> Session a

# Documentation

transaction :: IsolationLevel -> Mode -> Transaction a -> Session a #

Execute the transaction using the provided isolation level and mode.